#!/bin/ksh
########### GEFS-TC track mean  for 10-members ########
export JYYYY=2017
export JMM=11

export daylist="01 08 15 22 29"
export cyclist="00"

for nday in $daylist; do
for ncyc in $cyclist; do

export JDD=${nday}
export JCYC=${ncyc}

export pmodel=ens
export ymdh=${JYYYY}${JMM}${JDD}${JCYC}
export yyyymmdd=${JYYYY}${JMM}${JDD}
export cycle=${JCYC}

#----------------------------------------------------------------------------------------------------
if [ ${pmodel} = 'ens' ]; then

##### get NCEP GEFS ensemble mean tracks ########

DATAlegacy=/lfs/h2/emc/ptmp/jiayi.peng/legacy
if [ ! -d ${DATAlegacy} ]; then mkdir -p ${DATAlegacy}; fi

TRACK_IN=/lfs/h2/emc/vpppg/noscrub/jiayi.peng/GEFS_EP4b/${yyyymmdd}/tctrack
TRACK_OUT=/lfs/h2/emc/vpppg/noscrub/jiayi.peng/GEFS_EP4b/Mean/gefs.${ymdh}
if [ ! -d ${TRACK_OUT} ]; then mkdir -p ${TRACK_OUT}; fi

export pertlist="c00 p01 p02 p03 p04 p05 p06 p07 p08 p09 p10"
for npert in $pertlist; do
  cp ${TRACK_IN}/a${npert}.t${JCYC}z.cyclone.trackatcfunix ${TRACK_OUT}/trak.a${npert}.atcfunix.${ymdh}
done

cp ${TRACK_OUT}/trak.ap* ${DATAlegacy}
#cp ${TRACK_OUT}/trak.ac* ${DATAlegacy}

/lfs/h2/emc/ens/noscrub/jiayi.peng/MarsNoscrub_Fmars/meantker11/ens_trak_ave.sh ${yyyymmdd} ${cycle} ens ${DATAlegacy}

cp ${DATAlegacy}/trak.aemn.* ${TRACK_OUT}
cp ${DATAlegacy}/aemn.trkprob.* ${TRACK_OUT}
rm -f ${DATAlegacy}/*

#----------------------------------------------------------------------------------------------------
fi

done
done

